opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
cv::MatIterator_< _Tp > Class Template Reference

`#include <core.hpp>`

Inheritance diagram for cv::MatIterator_< _Tp >:

## Public Types
typedef std::random_access_iterator_tag | iterator_category
typedef _Tp * | pointer
typedef _Tp & | reference
Public Types inherited from cv::MatConstIterator_< _Tp >
typedef ptrdiff_t | difference_type
typedef std::random_access_iterator_tag | iterator_category
typedef const _Tp * | pointer
typedef const _Tp & | reference
typedef _Tp | value_type
Public Types inherited from cv::MatConstIterator
typedef ptrdiff_t | difference_type
typedef std::random_access_iterator_tag | iterator_category
typedef const uchar ** | pointer
typedef uchar * | reference
typedef uchar * | value_type

## Public Member Functions
| MatIterator_ ()
| the default constructor
| MatIterator_ (Mat_< _Tp > *_m)
| constructor that sets the iterator to the beginning of the matrix
| MatIterator_ (Mat_< _Tp > *_m, int _row, int _col=0)
| constructor that sets the iterator to the specified element of the matrix
| MatIterator_ (const Mat_< _Tp > *_m, Point _pt)
| constructor that sets the iterator to the specified element of the matrix
| MatIterator_ (const Mat_< _Tp > *_m, const int *_idx)
| constructor that sets the iterator to the specified element of the matrix
| MatIterator_ (const MatIterator_ &it)
| copy constructor
_Tp & | operator* () const
| returns the current matrix element
MatIterator_ & | operator++ ()
| increments the iterator
MatIterator_ | operator++ (int)
| increments the iterator
MatIterator_ & | operator+= (ptrdiff_t ofs)
| shifts the iterator forward by the specified number of elements
MatIterator_ & | operator-- ()
| decrements the iterator
MatIterator_ | operator-- (int)
| decrements the iterator
MatIterator_ & | operator-= (ptrdiff_t ofs)
| shifts the iterator backward by the specified number of elements
MatIterator_ & | operator= (const MatIterator_< _Tp > &it)
| copy operator
_Tp & | operator[] (ptrdiff_t i) const
| returns the i-th matrix element, relative to the current
Public Member Functions inherited from cv::MatConstIterator_< _Tp >
| MatConstIterator_ ()
| default constructor
| MatConstIterator_ (const Mat_< _Tp > *_m)
| constructor that sets the iterator to the beginning of the matrix
| MatConstIterator_ (const Mat_< _Tp > *_m, int _row, int _col=0)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator_ (const Mat_< _Tp > *_m, Point _pt)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator_ (const Mat_< _Tp > *_m, const int *_idx)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator_ (const MatConstIterator_ &it)
| copy constructor
_Tp | operator* () const
| returns the current matrix element
MatConstIterator_ & | operator++ ()
| increments the iterator
MatConstIterator_ | operator++ (int)
| increments the iterator
MatConstIterator_ & | operator+= (ptrdiff_t ofs)
| shifts the iterator forward by the specified number of elements
MatConstIterator_ & | operator-- ()
| decrements the iterator
MatConstIterator_ | operator-- (int)
| decrements the iterator
MatConstIterator_ & | operator-= (ptrdiff_t ofs)
| shifts the iterator backward by the specified number of elements
MatConstIterator_ & | operator= (const MatConstIterator_ &it)
| copy operator
_Tp | operator[] (ptrdiff_t i) const
| returns the i-th matrix element, relative to the current
Point | pos () const
| returns the current iterator position
Public Member Functions inherited from cv::MatConstIterator
ptrdiff_t | lpos () const
| MatConstIterator ()
| default constructor
| MatConstIterator (const Mat *_m)
| constructor that sets the iterator to the beginning of the matrix
| MatConstIterator (const Mat *_m, int _row, int _col=0)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator (const Mat *_m, Point _pt)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator (const Mat *_m, const int *_idx)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator (const MatConstIterator &it)
| copy constructor
uchar * | operator* () const
| returns the current matrix element
MatConstIterator & | operator++ ()
| increments the iterator
MatConstIterator | operator++ (int)
| increments the iterator
MatConstIterator & | operator+= (ptrdiff_t ofs)
| shifts the iterator forward by the specified number of elements
MatConstIterator & | operator-- ()
| decrements the iterator
MatConstIterator | operator-- (int)
| decrements the iterator
MatConstIterator & | operator-= (ptrdiff_t ofs)
| shifts the iterator backward by the specified number of elements
MatConstIterator & | operator= (const MatConstIterator &it)
| copy operator
uchar * | operator[] (ptrdiff_t i) const
| returns the i-th matrix element, relative to the current
Point | pos () const
| returns the current iterator position
void | pos (int *_idx) const
| returns the current iterator position
void | seek (ptrdiff_t ofs, bool relative=false)
void | seek (const int *_idx, bool relative=false)

## Additional Inherited Members
Public Attributes inherited from cv::MatConstIterator
size_t | elemSize
const Mat * | m
uchar * | ptr
uchar * | sliceEnd
uchar * | sliceStart

## Detailed Description

### template<typename _Tp>
class cv::MatIterator_< _Tp >

Matrix read-write iterator

## Member Typedef Documentation

template<typename _Tp>

typedef std::random_access_iterator_tag cv::MatIterator_< _Tp >::iterator_category

template<typename _Tp>

typedef _Tp* cv::MatIterator_< _Tp >::pointer

template<typename _Tp>

typedef _Tp& cv::MatIterator_< _Tp >::reference

## Constructor & Destructor Documentation

template<typename _Tp >

MatIterator_< _Tp >::MatIterator_ | ( |  | ) |
| inline

the default constructor

template<typename _Tp >

MatIterator_< _Tp >::MatIterator_ | ( | Mat_< _Tp > * | _m | ) |
| inline

constructor that sets the iterator to the beginning of the matrix

template<typename _Tp >

MatIterator_< _Tp >::MatIterator_ | ( | Mat_< _Tp > * | _m,
|  | int | _row,
|  | int | _col = `0`
| ) |  |
| inline

constructor that sets the iterator to the specified element of the matrix

template<typename _Tp >

MatIterator_< _Tp >::MatIterator_ | ( | const Mat_< _Tp > * | _m,
|  | Point | _pt
| ) |  |
| inline

constructor that sets the iterator to the specified element of the matrix

template<typename _Tp >

MatIterator_< _Tp >::MatIterator_ | ( | const Mat_< _Tp > * | _m,
|  | const int * | _idx
| ) |  |
| inline

constructor that sets the iterator to the specified element of the matrix

template<typename _Tp >

MatIterator_< _Tp >::MatIterator_ | ( | const MatIterator_< _Tp > & | it | ) |
| inline

copy constructor

## Member Function Documentation

template<typename _Tp >

_Tp & MatIterator_< _Tp >::operator* | ( |  | ) | const
| inline

returns the current matrix element

template<typename _Tp >

MatIterator_< _Tp > & MatIterator_< _Tp >::operator++ | ( |  | ) |
| inline

increments the iterator

template<typename _Tp >

MatIterator_< _Tp > MatIterator_< _Tp >::operator++ | ( | int |  | ) |
| inline

increments the iterator

template<typename _Tp >

MatIterator_< _Tp > & MatIterator_< _Tp >::operator+= | ( | ptrdiff_t | ofs | ) |
| inline

shifts the iterator forward by the specified number of elements

template<typename _Tp >

MatIterator_< _Tp > & MatIterator_< _Tp >::operator-- | ( |  | ) |
| inline

decrements the iterator

template<typename _Tp >

MatIterator_< _Tp > MatIterator_< _Tp >::operator-- | ( | int |  | ) |
| inline

decrements the iterator

template<typename _Tp >

MatIterator_< _Tp > & MatIterator_< _Tp >::operator-= | ( | ptrdiff_t | ofs | ) |
| inline

shifts the iterator backward by the specified number of elements

template<typename _Tp >

MatIterator_< _Tp > & MatIterator_< _Tp >::operator= | ( | const MatIterator_< _Tp > & | it | ) |
| inline

copy operator

template<typename _Tp >

_Tp & MatIterator_< _Tp >::operator[] | ( | ptrdiff_t | i | ) | const
| inline

returns the i-th matrix element, relative to the current

The documentation for this class was generated from the following files:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/mat.hpp